%ifarch x86_64
%define bits 64
%else
%define bits 32
%endif

Name: monetdb-geom
Version: 0.18.5
Release: alt2
Summary: MonetDB Geom - Monet Database Management System

Group: Databases
License: MonetDB Public License v1.1
URL: http://monetdb.cwi.nl/
Source: %name-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires: libmonetdb-devel libmonetdb-server-devel flex
BuildRequires: libgeos-devel bzlib-devel libpcre-devel transfig
BuildPreReq: texi2html latex2html texlive-latex-recommended

Requires: monetdb-server

%description
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the common parts of the GIS (Geographic
Information System) extensions for MonetDB-SQL.

%package devel
Summary: MonetDB SQL GIS development package
Group: Development/C
Requires: %name = %version-%release
Requires: libmonetdb-server-devel
Requires: libmonetdb-devel
Requires: libgeos-devel

%description devel
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the files needed to develop with %name.

%prep
%setup

sed -i 's|\(\-O6\)|\1 -g|g' configure

%build
%add_optflags -fno-strict-aliasing
%configure \
	--enable-strict=no \
	--enable-assert=no \
	--enable-debug=no \
	--enable-optimize=yes \
	--enable-bits=%bits \
	--with-monetdb=%prefix \
	--with-monetdb5
%make_build

%install
%makeinstall_std

find %buildroot -name \*.la | xargs rm -f

%files
%doc COPYING README
%_datadir/MonetDB/sql/geom.sql
%_libdir/MonetDB5/lib/lib_geom.so*
%_libdir/MonetDB5/geom.mal
%_libdir/MonetDB5/autoload/*_geom.mal

%files devel
%_bindir/monetdb-geom-config

%changelog
* Mon Mar 21 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.18.5-alt2
- Rebuilt for debuginfo

* Wed Sep 29 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.18.5-alt1
- Initial build for Sisyphus

* Tue Aug 24 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.5-20100824
- Rebuilt.

* Mon Aug 23 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.5-20100823
- Rebuilt.

* Tue Jul 13 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.3-20100713
- Rebuilt.

* Mon Jul 12 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.3-20100712
- Rebuilt.

* Fri Jul 09 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.3-20100709
- Rebuilt.

* Wed Jun 30 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.1-20100630
- Rebuilt.

* Fri Jun 25 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.1-20100625
- Rebuilt.

* Tue Jun 22 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.1-20100622
- Rebuilt.

* Fri Jun 18 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.1-20100618
- Rebuilt.

* Mon May 31 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.18.1-20100618
- Updated Vendor information.

* Tue Apr 20 2010 Stefan Manegold <manegold@cwi.nl> - 0.18.1-20100618
- Made compilation of "testing" (and "java") independent of MonetDB.
  This is mainly for Windows, but also on other systems, "testing" can
  now be built independently of (and hence before) "MonetDB".  Files
  that mimic configure functionality on Windows were moved from
  "MonetDB" to "buildtools"; hence, this affects all packages on
  Windows, requiring a complete rebuild from scratch on Windows.
  getopt() support in testing has changed; hence, (most probably)
  requiring a rebuild from scratch of testing on other systems.

* Tue Apr 20 2010 Stefan Manegold <manegold@cwi.nl> - 0.18.1-20100618
- Implemented build directory support for Windows, i.e., like on
  Unix/Linux also on Windows we can now build in a separate build
  directory as alternative to ...\<package>\NT, and thus keep the latter
  clean from files generated during the build.  On Windows, the build
  directory must be a sibling of ...\<package>\NT .

* Tue Apr 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.16.5-20100420
- Rebuilt.

* Mon Mar 22 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.16.3-20100322
- Rebuilt.

* Wed Feb 24 2010 Sjoerd Mullender <sjoerd@acm.org> - 0.16.1-20100224
- Rebuilt.

